> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete a pick

> Complete a pick

### Path parameters

<ParamField path="id" type="string" required>
  Pick task ID
</ParamField>

### Request body

`CompletePickRequest`

<ParamField body="completed_by" type="string,null" />

<ParamField body="lot_id" type="string,null" />

<ParamField body="quantity_picked" type="string" required>
  Decimal quantity picked as a string.
</ParamField>

<ParamField body="quantity_short" type="string,null">
  Decimal quantity short as a string.
</ParamField>

<ParamField body="serial_number" type="string,null" />

<ParamField body="short_reason" type="string,null" />

### Responses

<ResponseField name="200" type="PickTaskResponse" />

<ResponseField name="409" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/fulfillment/picks/{id}/complete' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "completed_by": null,
    "lot_id": null,
    "quantity_picked": "string",
    "quantity_short": null,
    "serial_number": null,
    "short_reason": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "assigned_to": null,
    "created_at": "string",
    "id": "string",
    "order_id": "string",
    "quantity_picked": "string",
    "quantity_requested": "string",
    "quantity_short": "string",
    "sku": "string",
    "source_location_id": 1,
    "status": "string",
    "warehouse_id": 1,
    "wave_id": null
  }
  ```
</ResponseExample>
